For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
          • GETGet fulfillment reqeusts filtered by search parameters
          • GETGet fulfillment requests by order
          • GETGet details of a single fulfillment request
    • FeedAMP Order Source
LogoLogo
RESTFeedAMP Order V2Fulfillment Requests

Get fulfillment reqeusts filtered by search parameters

GET
https://api.feedamp.feedonomics.com/api/v2/fulfillment_requests
GET
/api/v2/fulfillment_requests
$curl https://api.feedamp.feedonomics.com/api/v2/fulfillment_requests \
> -H "token: token" \
> -H "client: 1" \
> -u "<username>:<password>"
1{
2 "fulfillment_requests": [
3 {
4 "id": "109872189273617283",
5 "order_id": 1,
6 "fulfilling_integration_id": "109872189273617283",
7 "fulfilling_integration_name": "BigCommerce UK",
8 "fulfilling_integration_plugin": "BigCommercePlugin",
9 "fulfillment_request_lines": [
10 {
11 "id": "109872189273617283",
12 "feedamp_order_line_number": "109872189273617283",
13 "sku": "string",
14 "quantity": 1,
15 "product_name": "string",
16 "shipping_method": "string"
17 }
18 ],
19 "created_at": {},
20 "platform_order_number": "111-99998888-55555",
21 "fulfillment_type": "string",
22 "shipping_address": {
23 "full_name": "John M. Doe",
24 "address1": "123 Fake Street",
25 "city": "Ghost Town",
26 "state": "DC",
27 "postal_code": "91234",
28 "country_code": "USA",
29 "address_type": "business",
30 "address2": "Building 456",
31 "address3": "Room 789",
32 "country_code_iso2": "US",
33 "phone": "9997776666"
34 }
35 }
36 ],
37 "next_cursor": "string"
38}
Get all fulfillment requests that match the parameters that you have submitted
Was this page helpful?
Previous

Run an operation on an order

Next

Get fulfillment requests by order

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Headers

tokenstringRequired

The Authentication token obtained from the v1 get_token route

clientintegerRequired
The ID of the client making the request

Query parameters

created_afterdatetimeOptional

Record was created after this datetime. RFC-3339 date-time format — fractional seconds not allowed

created_beforedatetimeOptional

Record was created before this datetime. RFC-3339 date-time format — fractional seconds not allowed

idstringOptional

FeedAMP fulfillment request ID. May be a comma-delimited list of multiple IDs.

platform_order_numberstringOptional

Order identifier from associated e-commerce platform order record. May be a comma-delimited list of multiple

fulfilling_integration_idstringOptional
FeedAMP integration ID responsible for fulfilling orders
limitintegerOptional1-250Defaults to 100
The max number of fulfillment requests in the response
cursorstringOptional
Cursor for the next page of fulfillment requests

Response

List of fulfillment requests
fulfillment_requestslist of objects
next_cursorstring

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error